| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::GainCompensator Class Reference
Images stitching » Exposure Compensation

Exposure compensator which tries to remove exposure related artifacts by adjusting image intensities, see [30] and [262] for details. More...

`#include <opencv2/stitching/detail/exposure_compensate.hpp>`

Inheritance diagram for cv::detail::GainCompensator:

## Public Member Functions
| GainCompensator ()
| GainCompensator (int nr_feeds)
void | apply (int index, Point corner, InputOutputArray image, InputArray mask) CV_OVERRIDE
| Compensate exposure in the specified image. More...
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks) CV_OVERRIDE
std::vector< double > | gains () const
void | getMatGains (std::vector< Mat > &umv) CV_OVERRIDE
int | getNrFeeds ()
void | setMatGains (std::vector< Mat > &umv) CV_OVERRIDE
void | setNrFeeds (int nr_feeds)
void | singleFeed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks)
Public Member Functions inherited from cv::detail::ExposureCompensator
| ExposureCompensator ()
virtual | ~ExposureCompensator ()
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)
bool | getUpdateGain ()
void | setUpdateGain (bool b)

## Additional Inherited Members
Public Types inherited from cv::detail::ExposureCompensator
enum | { NO, GAIN, GAIN_BLOCKS, CHANNELS, CHANNELS_BLOCKS }
Static Public Member Functions inherited from cv::detail::ExposureCompensator
static Ptr< ExposureCompensator > | createDefault (int type)
Protected Attributes inherited from cv::detail::ExposureCompensator
bool | updateGain

## Detailed Description

Exposure compensator which tries to remove exposure related artifacts by adjusting image intensities, see [30] and [262] for details.

Examples:
  samples/cpp/stitching_detailed.cpp.

## Constructor & Destructor Documentation

## ◆ GainCompensator() [1/2]

cv::detail::GainCompensator::GainCompensator | ( |  | ) |
| inline

Python:
| <detail_GainCompensator object> | = | cv.detail_GainCompensator( |  | )
| <detail_GainCompensator object> | = | cv.detail_GainCompensator( | nr_feeds | )

## ◆ GainCompensator() [2/2]

cv::detail::GainCompensator::GainCompensator | ( | int | nr_feeds | ) |
| inline

Python:
| <detail_GainCompensator object> | = | cv.detail_GainCompensator( |  | )
| <detail_GainCompensator object> | = | cv.detail_GainCompensator( | nr_feeds | )

## Member Function Documentation

## ◆ apply()

void cv::detail::GainCompensator::apply | ( | int | index,
|  | Point | corner,
|  | InputOutputArray | image,
|  | InputArray | mask
| ) |  |
| virtual

Python:
| image | = | cv.detail_GainCompensator.apply( | index, corner, image, mask | )

Compensate exposure in the specified image.

Parameters

  index | Image index
  corner | Image top-left corner
  image | Image to process
  mask | Image mask

Implements cv::detail::ExposureCompensator.

## ◆ feed()

void cv::detail::GainCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks
| ) |  |
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::detail::ExposureCompensator.

## ◆ gains()

std::vector<double> cv::detail::GainCompensator::gains | ( |  | ) | const

## ◆ getMatGains()

void cv::detail::GainCompensator::getMatGains | ( | std::vector< Mat > & | umv | ) |
| virtual

Python:
| umv | = | cv.detail_GainCompensator.getMatGains( | [, umv] | )

Reimplemented from cv::detail::ExposureCompensator.

## ◆ getNrFeeds()

int cv::detail::GainCompensator::getNrFeeds | ( |  | ) |
| inline

Python:
| retval | = | cv.detail_GainCompensator.getNrFeeds( |  | )

## ◆ setMatGains()

void cv::detail::GainCompensator::setMatGains | ( | std::vector< Mat > & | umv | ) |
| virtual

Python:
| None | = | cv.detail_GainCompensator.setMatGains( | umv | )

Reimplemented from cv::detail::ExposureCompensator.

## ◆ setNrFeeds()

void cv::detail::GainCompensator::setNrFeeds | ( | int | nr_feeds | ) |
| inline

Python:
| None | = | cv.detail_GainCompensator.setNrFeeds( | nr_feeds | )

Examples:
  samples/cpp/stitching_detailed.cpp.

## ◆ singleFeed()

void cv::detail::GainCompensator::singleFeed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks
| ) |  |

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/exposure_compensate.hpp